Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/12156/?format=api
{ "ob_id": 12156, "uuid": "1ad9a3862adc4991b8736e741ef9b2a9", "title": "Castor Bay C-band rain radar dual polar products", "abstract": "Dual-polar products from the Met Office's Castor Bay C-band rain radar, Belfast, Northern Ireland. Data include augmented ldr and zdr scan data (both long and short pulse). The radar is a C-band (5.3 cm wavelength) radar and data are received by the Nimrod system at 5 minute intervals.", "keywords": "Met Office, NIMROD, rain radar", "publicationState": "published", "dataPublishedTime": "2014-06-18T23:00:00", "doiPublishedTime": null, "updateFrequency": "continual", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12157/?format=api", "dataPath": "/badc/ukmo-nimrod/data/single-site/castor-bay/raw-dual-polar/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 3313488313291, "numberOfFiles": 3712, "fileFormat": "NIMROD product data are in the non-standard NIMROD binary format. Refer to linked documentation for further details.\r\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3280/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/120/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25899/?format=api" ], "dataLineage": "Data are acquired from rain radar network in the UK and Europe by the Met Office's NIMROD system. Single site data are then sent to the BADC by the Met Office's DART operational dissemination system. Raw polar data from single sites are sent through from the RADARNET team at the Met Office. On arrival at the BADC the data are ingested after a one day quarantine, having been compressed and then compiled into daily tar balls for each data type.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/5736/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/5709/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46282/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46283/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46284/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46287/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46288/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46289/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46286/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46285/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/5759/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2532/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx", "label": "restricted: ukmo_wx group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement.pdf", "licenceClassifications": "academic" }, { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2533/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx_gov", "label": "restricted: ukmo_wx_gov group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement_gov.pdf", "licenceClassifications": "policy" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }